Bulk Properties Quota Impact
curl --request POST \
--url https://data.apartmentiq.io/apartmentiq/api/v2/properties/bulk/quota_impact \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "{account_id}"
}
'import requests
url = "https://data.apartmentiq.io/apartmentiq/api/v2/properties/bulk/quota_impact"
payload = { "account_id": "{account_id}" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({account_id: '{account_id}'})
};
fetch('https://data.apartmentiq.io/apartmentiq/api/v2/properties/bulk/quota_impact', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://data.apartmentiq.io/apartmentiq/api/v2/properties/bulk/quota_impact",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'account_id' => '{account_id}'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://data.apartmentiq.io/apartmentiq/api/v2/properties/bulk/quota_impact"
payload := strings.NewReader("{\n \"account_id\": \"{account_id}\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://data.apartmentiq.io/apartmentiq/api/v2/properties/bulk/quota_impact")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"account_id\": \"{account_id}\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://data.apartmentiq.io/apartmentiq/api/v2/properties/bulk/quota_impact")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"account_id\": \"{account_id}\"\n}"
response = http.request(request)
puts response.read_body{
"total_quota": 5000,
"consumed_quota": 1280,
"requested_records": 50,
"new_records": 32,
"prev_records": 18,
"expected_new_consumed_quota": 1312
}{
"error": "<string>",
"message": "<string>",
"quota_limit": 123,
"quota_usage": 123
}{
"error": "<string>",
"message": "<string>",
"quota_limit": 123,
"quota_usage": 123
}You have exceeded the rate limit for this API.
Bulk
Bulk Properties Quota Impact
Calculate the quota impact for a property bulk export request without recording export usage.
Requires Explore Pro access.
POST
/
properties
/
bulk
/
quota_impact
Bulk Properties Quota Impact
curl --request POST \
--url https://data.apartmentiq.io/apartmentiq/api/v2/properties/bulk/quota_impact \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "{account_id}"
}
'import requests
url = "https://data.apartmentiq.io/apartmentiq/api/v2/properties/bulk/quota_impact"
payload = { "account_id": "{account_id}" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({account_id: '{account_id}'})
};
fetch('https://data.apartmentiq.io/apartmentiq/api/v2/properties/bulk/quota_impact', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://data.apartmentiq.io/apartmentiq/api/v2/properties/bulk/quota_impact",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'account_id' => '{account_id}'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://data.apartmentiq.io/apartmentiq/api/v2/properties/bulk/quota_impact"
payload := strings.NewReader("{\n \"account_id\": \"{account_id}\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://data.apartmentiq.io/apartmentiq/api/v2/properties/bulk/quota_impact")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"account_id\": \"{account_id}\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://data.apartmentiq.io/apartmentiq/api/v2/properties/bulk/quota_impact")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"account_id\": \"{account_id}\"\n}"
response = http.request(request)
puts response.read_body{
"total_quota": 5000,
"consumed_quota": 1280,
"requested_records": 50,
"new_records": 32,
"prev_records": 18,
"expected_new_consumed_quota": 1312
}{
"error": "<string>",
"message": "<string>",
"quota_limit": 123,
"quota_usage": 123
}{
"error": "<string>",
"message": "<string>",
"quota_limit": 123,
"quota_usage": 123
}You have exceeded the rate limit for this API.
Authorizations
Body
application/json
Request contract for calculating property bulk export quota impact without recording export usage.
Optional metric field names. Omit or pass an empty array for identity-only rows.
Property metric field to include in each bulk row.
Available options:
rent, rent_0_bed, rent_1_bed, rent_2_bed, rent_3_bed, ner, ner_0_bed, ner_1_bed, ner_2_bed, ner_3_bed, rent_psf, rent_0_bed_psf, rent_1_bed_psf, rent_2_bed_psf, rent_3_bed_psf, ner_psf, ner_0_bed_psf, ner_1_bed_psf, ner_2_bed_psf, ner_3_bed_psf, rent_growth_rate_yoy, ner_growth_rate_yoy, concession_value, concession_percent, days_on_market, occupancy_percent, leased_percent, exposure_percent Response
Estimated property bulk export quota impact.
Estimated quota impact for a property bulk export request.